import choco.integer.IntVar;
//import choco.integer.var.IntDomainVar;
import choco.integer.search.AbstractIntVarSelector;


public class VarOrder extends AbstractIntVarSelector {

    protected IntVar[] vars;

    public VarOrder(IntVar[] vars){
	this.vars = vars;
    }

    public IntVar selectIntVar(){
	for (int i=0;i<vars.length;i++)
	    if (!vars[i].isInstantiated()) return (IntVar)vars[i];
	return null;
    }
}
